org.eclipse.emf.facet.custom.core

## Interface ICustomizationPropertiesCatalogManagerFactory

    public interface ICustomizationPropertiesCatalogManagerFactory

This interface provides the customization catalog manager.

Since:
  0.3
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static ICustomizationPropertiesCatalogManagerFactory` `INSTANCE`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICustomizationPropertiesCatalogManager` `getOrCreateCustomizationPropertiesCatalogManager(ResourceSet resourceSet)`

### Field Detail

#### INSTANCE

    static final ICustomizationPropertiesCatalogManagerFactory INSTANCE

### Method Detail

#### getOrCreateCustomizationPropertiesCatalogManager

    ICustomizationPropertiesCatalogManager getOrCreateCustomizationPropertiesCatalogManager(ResourceSet resourceSet)